Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.util
Class Proxies

    java.lang.Object
      |
      +--com.solarmetric.kodo.util.Proxies

public class Proxies
extends Object

Utility methods for managing proxies.

Constructor Summary
`Proxies()`

Method Summary
`(package private) static void` | `()`
`static void` | `checkValue(Object value, Class allowed)` Used by the proxy types in this package to check that an attempt to add a new key/value is legal.
`static Object` | `getArrayCopy(Object orig, Object owner, String field)`
`static Collection` | `getCollectionCopy(Collection orig, Object owner, String field)`
`static ProxyCollection` | `getCollectionProxy(Class type, Class elementType, Collection contents, Comparator compare, Object owner, String field)`
`static Object` | `getCustomCopy(Object orig, Object owner, String field)`
`static Proxy` | `getCustomProxy(Object orig, Object owner, String field)`
`static Date` | `getDateCopy(Date orig, Object owner, String field)`
`static ProxyDate` | `getDateProxy(Date date, Object owner, String field)`
`static Map` | `getMapCopy(Map orig, Object owner, String field)`
`static ProxyMap` | `getMapProxy(Class type, Class keyType, Class valueType, Map contents, Comparator compare, Object owner, String field)`
`static boolean` | `isCustomProxyType(Class cls)`
`static void` | `makeDirty(Object pc, String fieldName)` Used by proxy types to dirty their owner.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Proxies

    public Proxies()

Method Detail

###

    static void ()

### isCustomProxyType

    public static boolean isCustomProxyType(Class cls)

  See Also:
    `ProxyManager.isCustomProxyType(java.lang.Class)`

### getDateCopy

    public static Date getDateCopy(Date orig,
                                   Object owner,
                                   String field)

  See Also:
    `ProxyManager.getDateCopy(java.util.Date, java.lang.Object, java.lang.String)`

### getCollectionCopy

    public static Collection getCollectionCopy(Collection orig,
                                               Object owner,
                                               String field)

  See Also:
    `ProxyManager.getCollectionCopy(java.util.Collection, java.lang.Object, java.lang.String)`

### getMapCopy

    public static Map getMapCopy(Map orig,
                                 Object owner,
                                 String field)

  See Also:
    `ProxyManager.getMapCopy(java.util.Map, java.lang.Object, java.lang.String)`

### getArrayCopy

    public static Object getArrayCopy(Object orig,
                                      Object owner,
                                      String field)

  See Also:
    `ProxyManager.getArrayCopy(java.lang.Object, java.lang.Object, java.lang.String)`

### getCustomCopy

    public static Object getCustomCopy(Object orig,
                                       Object owner,
                                       String field)

  See Also:
    `ProxyManager.getCustomCopy(java.lang.Object, java.lang.Object, java.lang.String)`

### getDateProxy

    public static ProxyDate getDateProxy(Date date,
                                         Object owner,
                                         String field)

  See Also:
    `ProxyManager.getDateProxy(java.util.Date, java.lang.Object, java.lang.String)`

### getCollectionProxy

    public static ProxyCollection getCollectionProxy(Class type,
                                                     Class elementType,
                                                     Collection contents,
                                                     Comparator compare,
                                                     Object owner,
                                                     String field)

  See Also:
    `ProxyManager.getCollectionProxy(java.lang.Class, java.lang.Class, java.util.Collection, java.util.Comparator, java.lang.Object, java.lang.String)`

### getMapProxy

    public static ProxyMap getMapProxy(Class type,
                                       Class keyType,
                                       Class valueType,
                                       Map contents,
                                       Comparator compare,
                                       Object owner,
                                       String field)

  See Also:
    `ProxyManager.getMapProxy(java.lang.Class, java.lang.Class, java.lang.Class, java.util.Map, java.util.Comparator, java.lang.Object, java.lang.String)`

### getCustomProxy

    public static Proxy getCustomProxy(Object orig,
                                       Object owner,
                                       String field)

  See Also:
    `ProxyManager.getCustomProxy(java.lang.Object, java.lang.Object, java.lang.String)`

### checkValue

    public static void checkValue(Object value,
                                  Class allowed)

  Used by the proxy types in this package to check that an attempt to add a new key/value is legal.

### makeDirty

    public static void makeDirty(Object pc,
                                 String fieldName)

  Used by proxy types to dirty their owner.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.